# azure.cognitiveservices.knowledge.qnamaker package

## Submodules

- azure.cognitiveservices.knowledge.qnamaker.models module
- azure.cognitiveservices.knowledge.qnamaker.operations module

## Module contents

class `azure.cognitiveservices.knowledge.qnamaker.``QnAMakerClient`(endpoint, credentials)

  Bases: `msrest.service_client.SDKClient`

  An API for QnAMaker Service

  Variables:

  - config (QnAMakerClientConfiguration) – Configuration for client.
  - endpoint_keys (azure.cognitiveservices.knowledge.qnamaker.operations.EndpointKeysOperations) – EndpointKeys operations
  - alterations (azure.cognitiveservices.knowledge.qnamaker.operations.AlterationsOperations) – Alterations operations
  - knowledgebase (azure.cognitiveservices.knowledge.qnamaker.operations.KnowledgebaseOperations) – Knowledgebase operations
  - operations (azure.cognitiveservices.knowledge.qnamaker.operations.Operations) – Operations operations

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.